## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csBlockAllocator< T, BlockPolicy >::BlockKey Struct Reference

List of all members.

## Public Member Functions

| BlockKey (uint8 const *p, size_t n)

## Public Attributes

uint8 const * | addr
size_t | blocksize

## Detailed Description

### template<class T, class BlockPolicy = csBlockAllocatorNormalBlockPolicy>
struct csBlockAllocator< T, BlockPolicy >::BlockKey

Definition at line 163 of file blockallocator.h.

The documentation for this struct was generated from the following file:

- csutil/blockallocator.h